com.mysql.cj

## Enum PlaceholderPurpose

- java.lang.Object
- - java.lang.Enum<PlaceholderPurpose>
  - - com.mysql.cj.PlaceholderPurpose

All Implemented Interfaces:
  Serializable, Comparable<PlaceholderPurpose>

    public enum PlaceholderPurpose
    extends Enum<PlaceholderPurpose>

The possible purposes for placeholders in queries.

### Enum Constant Summary

Enum Constants
`GENERIC`
`INSERT_VALUES`
`LIMIT_AND_OFFSET`

### Method Summary

All Methods Static Methods Concrete Methods
`static PlaceholderPurpose` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PlaceholderPurpose[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GENERIC

    public static final PlaceholderPurpose GENERIC

#### INSERT_VALUES

    public static final PlaceholderPurpose INSERT_VALUES

#### LIMIT_AND_OFFSET

    public static final PlaceholderPurpose LIMIT_AND_OFFSET

### Method Detail

#### values

    public static PlaceholderPurpose[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlaceholderPurpose c : PlaceholderPurpose.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlaceholderPurpose valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2026, Oracle and/or its affiliates.